> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/payment-method/list-store-payment-methods.md).

# List store payment methods

Get list of payment methods for store.

Required permissions: PAYMENT\_METHOD

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethod","description":"PaymentMethod"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"storePaymentMethodCodeQuery":{"description":"Reference to a payment method code","in":"query","name":"storePaymentMethodCode","schema":{"items":{"$ref":"#/components/schemas/PaymentMethodCodeENUM"},"type":"array"}},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"PaymentMethodCodeENUM":{"description":"`PAYEX_CARD` is discontinued: it stays for historical orders, settlements and filters, but it cannot be added to a tenant or store, and a new settlement with it is refused.","enum":["CASH","INVOICE","VIPPS","ADYEN_CARD","PAYEX_CARD","SANTANDER","EXTERNAL","TRANSFER_MONEY","FLOWGIFTCARD","STORE_CREDIT","STRIPE_CARD","TWO_INVOICE","NETS_CARD","VERIFONE_CARD","FOREIGN_CASH","SWISH","DINTERO_PAYMENT_LINK","DINTERO_CARD","BRITANNIA","PREPAYMENT","SOFTPAY_CARD","PAYMENT_GATEWAY","LOYALTY_POINTS","PAYEX_GIFTCARD"],"title":"PaymentMethodCodeENUM","type":"string"},"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"StorePaymentMethodResponseSchema":{"description":"","properties":{"active":{"type":"boolean"},"ledgerNumber":{"description":"Ledger number must be a valid number with possible leading zeros","type":"string"},"ledgerType":{"$ref":"#/components/schemas/LedgerTypeENUM"},"storePaymentMethodUid":{"$ref":"#/components/schemas/UID"},"storeSettlementIssuers":{"description":"Bool indication there are storeSettlementIssuer records on this storePaymentMethod","type":"boolean"},"tenantPaymentMethod":{"$ref":"#/components/schemas/TenantPaymentMethodResponseSchema"}},"required":["storePaymentMethodUid","ledgerType","ledgerNumber","storeSettlementIssuers","active","tenantPaymentMethod"],"title":"StorePaymentMethodResponseSchema","type":"object"},"LedgerTypeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n|LEDGER | Ledger |\n|GENERAL_LEDGER | General ledger |\n|CUSTOMER_LEDGER | Customer ledger |","enum":["LEDGER","GENERAL_LEDGER","CUSTOMER_LEDGER"],"title":"LedgerTypeENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TenantPaymentMethodResponseSchema":{"title":"TenantPaymentMethodResponseSchema","type":"object","required":["active","name","description","settlementCode","paymentMethod","allowRefund","tenantPaymentMethodUid","allowSale","allowPrepayment","allowCashback","parameters","externalSystemMappings","position","visibility","requirements","amountInput","useRounding","receiptText"],"properties":{"active":{"type":"boolean"},"name":{"type":"string","description":"The name will be displayed in the clients and on the receipt"},"description":{"type":"string","description":"A description of the payment method, shown in the client"},"receiptText":{"type":"string","maxLength":500,"description":"Text printed on the receipt when this payment method is used. Empty when not configured."},"settlementCode":{"type":"string"},"paymentMethod":{"$ref":"#/components/schemas/PaymentMethodResponseSchema"},"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"tenantPaymentMethodUid":{"$ref":"#/components/schemas/UID"},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodParameterExtractResponseSchema"}},"externalSystemMappings":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodMappingResponseSchema"}},"position":{"type":"integer","description":"order of appearance in lists"},"visibility":{"$ref":"#/components/schemas/PaymentMethodVisibilityENUM"},"requirements":{"$ref":"#/components/schemas/PaymentMethodRequirementResponseSchema"},"amountInput":{"$ref":"#/components/schemas/TenantPaymentMethodAmountInputENUM"},"useRounding":{"type":"boolean"}}},"PaymentMethodResponseSchema":{"title":"PaymentMethodResponseSchema","type":"object","required":["allowRefund","allowSale","allowAmount","allowCashback","allowPrepayment","requireExclusiveUse","name","parameters","paymentCode"],"properties":{"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowAmount":{"type":"boolean","description":"if true, settled amount can be != remainingAmount set when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, payment method is allowed as a prepayment settlement"},"requireExclusiveUse":{"type":"boolean","description":"defines whether or not the payment method can be used in combination with other payment methods."},"name":{"type":"string"},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethodParameterSchema"}},"paymentCode":{"$ref":"#/components/schemas/PaymentMethodCodeENUM"}}},"PaymentMethodParameterSchema":{"description":"PaymentMethodParameter","properties":{"key":{"type":"string"},"keyType":{"$ref":"#/components/schemas/PaymentMethodParameterTypeENUM"},"name":{"type":"string"},"required":{"type":"boolean"}},"required":["keyType","key","name","required"],"title":"PaymentMethodParameterSchema","type":"object"},"PaymentMethodParameterTypeENUM":{"description":"","enum":["TEXT","INTEGER","DATE","MOBILE","MODULUS10","MODULUS11"],"title":"PaymentMethodParameterTypeENUM","type":"string"},"TenantPaymentMethodParameterExtractResponseSchema":{"title":"TenantPaymentMethodParameterExtractResponseSchema","description":"TenantPaymentMethodParameterExtractResponseSchema","type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"required":{"type":"boolean"},"key":{"type":"string"},"type":{"$ref":"#/components/schemas/TenantPaymentMethodParameterTypeENUM"},"regex":{"type":"string","description":"regular expression"}},"required":["name","description","required","key","type","regex"]},"TenantPaymentMethodParameterTypeENUM":{"title":"TenantPaymentMethodParameterTypeENUM","type":"string","enum":["TEXT","INTEGER","NUMERIC","DATE","MOBILE","MODULUS10","MODULUS11"]},"TenantPaymentMethodMappingResponseSchema":{"title":"TenantPaymentMethodMappingResponseSchema","allOf":[{"$ref":"#/components/schemas/GeneralMappingResponseSchema"},{"type":"object","required":["tenantPaymentMethodMappingUid"],"properties":{"tenantPaymentMethodMappingUid":{"type":"string"}}}]},"GeneralMappingResponseSchema":{"title":"GeneralMappingResponseSchema","type":"object","required":["systemCode","externalId"],"properties":{"systemCode":{"$ref":"#/components/schemas/ExternalSystemCodeENUM"},"externalId":{"type":"string"}}},"ExternalSystemCodeENUM":{"title":"ExternalSystemCodeENUM","type":"string","enum":["OMNIUM","ORDER_IMPORT","PROFRAKT"]},"PaymentMethodVisibilityENUM":{"title":"PaymentMethodVisibilityENUM","type":"string","enum":["FEATURED","LISTED","HIDDEN","HIDDEN_WHEN_NOT_REQUIRED"]},"PaymentMethodRequirementResponseSchema":{"title":"PaymentMethodRequirementResponseSchema","type":"object","description":"PaymentMethodRequirementResponseSchema","required":["requireCustomer","requireCustomerMobile","requireCustomerEmail","requireCustomerType","requireCustomerContact","requireExclusiveUse","requireRefundToSameMethod"],"properties":{"requireCustomer":{"type":"boolean"},"requireCustomerMobile":{"type":"boolean"},"requireCustomerEmail":{"type":"boolean"},"requireCustomerType":{"$ref":"#/components/schemas/PaymentMethodCustomerTypeENUM"},"requireCustomerContact":{"type":"boolean"},"requireExclusiveUse":{"type":"boolean"},"requireRefundToSameMethod":{"type":"boolean"}}},"PaymentMethodCustomerTypeENUM":{"title":"PaymentMethodCustomerTypeENUM","type":"string","enum":["ANY","PERSON","COMPANY"]},"TenantPaymentMethodAmountInputENUM":{"title":"TenantPaymentMethodAmountInputENUM","type":"string","enum":["NONE","AUTOFILL_REMAINING","FORCE_REMAINING"]},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"StorePaymentMethodListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/StorePaymentMethodResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"StorePaymentMethod list response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/paymentmethods":{"get":{"description":"Get list of payment methods for store.\n\nRequired permissions: PAYMENT_METHOD","operationId":"get-tenants-stores-paymentmethods","parameters":[{"$ref":"#/components/parameters/storePaymentMethodCodeQuery"},{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"responses":{"200":{"$ref":"#/components/responses/StorePaymentMethodListResponse"}},"summary":"List store payment methods","tags":["PaymentMethod"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/payment-method/list-store-payment-methods.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
